{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
        <div class="content-box-large">
            <div class="panel-heading">
              <div class="panel-title">{{"Customers list"|trans}}</div>
              
              <div class="panel-options">
                  <a href="{{path('customers_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
                  <a href="{{path('customers_restore')}}" data-rel="collapse"><i class="fa fa-undo-alt"></i></a>
                        
              </div>
          </div>
            <div class="panel-body">
             <div class="table-responsive">
                <table class="table table-striped">
                <thead>
                  <tr>
                    <th>{{'Identification'|trans}}</th>
                    <th>{{'Name'|trans}}</th>
                    <th>{{'Email'|trans}}</th>
                    <th>{{'Phone'|trans}} </th>
                    <th>{{'Actions'|trans}}</th>
                  </tr>
                </thead>
                <tbody>
                    {% for customer in customers %}
                        <tr>
                                <td>
                                    {{customer.identification}}
                                </td>
                                <td>
                                    {{customer.getFirstName() ~ " " ~ customer.getLastName()}}
                                </td>
                                <td>
                                    {{customer.email}}
                                </td>
                                <td>
                                    {{customer.phone}}
                                </td>
                                
                              
                                <td>
                                            <a href="{{path('customers_edit',{
                                                id:customer.id
                                            })}}">
                                                <i class="fa fa-edit"></i>
                                            </a>
                                            <a href="{{path('customers_delete',{
                                                id:customer.id
                                            })}}">
                                                <i class="fa fa-trash-alt"></i>
                                            </a>
                                </td>
                        </tr>
                    {% endfor %}
                </tbody>
              </table>
              </div>
              {{knp_pagination_render(customers)}}
            </div>
        </div>
    </div>
{% endblock %}

